> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Element Token

Element tokens are used as the starting point and authentication key to instantiate Method's embeddable UI components within your experience.

> [!NOTE]
>
> For security purposes, element tokens are for one-time use only, and expire after 30 minutes.

## Body

The structure of the request body differs slightly depending on the type of Element you are trying to use. See the [Elements Guide](https://docs.methodfi.com/elements/overview.md) for more information about specific flows.

> [!NOTE]
>
> Either `entity_id` or `connect.entity` is required.

## Returns

The element token that was created.

```bash cURL theme={null}
curl https://production.methodfi.com/elements/token \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "connect",
    "connect": {
      "products": ["balance"],
      "entity": {
        "type": "individual",
        "individual": {
          "first_name": "Kevin",
          "last_name": "Doyle"
        }
      }
    }
  }'
```

```javascript Node.js theme={null}
const token = await method.elements.token.create({
  type: "connect",
  connect: {
    products: ["balance"],
    entity: {
      type: "individual",
      individual: {
        first_name: "Kevin",
        last_name: "Doyle"
      }
    }
  }
});
```

```python Python theme={null}
token = method.elements.token.create({
  'type': 'connect',
  'connect': {
    'products': ['balance'],
    'entity': {
      'type': 'individual',
      'individual': {
        'first_name': 'Kevin',
        'last_name': 'Doyle'
      }
    }
  }
})
```

```json theme={null}
{
  "element_token": "pk_elem_qPmypE9wwphr3WL3yTj7JhxjrPzAmK8G"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.